1

I recently deployed a smart contact using remix and MyEtherWallet. The contract is deployed successfully.

But when I am trying to verify the contract code on etherscan. I need compiler version for that. But I don't remember what compiler version did I use. Is there any chance of getting that?

I have contract code, abi, address but not solidity version. How can I verify my contract on etherscan. Hit and try are taking very long time.

1

Take a look at the date of your deployment in etherscan.io, then check for the version of the compiler on that date.

For the future, remember to write a first line of code in your solidity contract that specifies this, for example:

pragma solidity 0.4.19

0

You can find it at the top-right corner

enter image description here

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.